package util

import (
	"strconv"
	"strings"
)

func prependToSliceStr(strs *[]string, prefix string) {
	for i, elm := range *strs {
		(*strs)[i] = prefix + elm
	}
}

func appendToSliceStr(strs *[]string, suffix string) {
	for i, elm := range *strs {
		(*strs)[i] = elm + suffix
	}
}

func str2int64(str string, base int, fallback int64) int64 {
	str = strings.TrimSuffix(str, "\n")
	num, err := strconv.ParseInt(str, base, 64)
	if err != nil {
		num = fallback
	}
	return num
}

func str2int(str string, base int, fallback int) int {
	return int(str2int64(str, base, int64(fallback)))
}

func castStrings2ints(strs *[]string) []int {
	a := make([]int, len(*strs))
	for i, elm := range *strs {
		var f int = str2int(elm, 10, 0)
		a[i] = f
	}
	return a
}
